Package Details: impd-git 0.8.r1.g0ec9ab5-1

Git Clone URL: https://aur.archlinux.org/impd-git.git (read-only, click to copy)
Package Base: impd-git
Description: Manage passive immersion and create condensed audio.
Upstream URL: https://github.com/Ajatt-Tools/impd
Keywords: ajatt audio immersion mpd
Licenses: GPL3
Conflicts: impd
Provides: impd
Submitter: tatsumoto
Maintainer: tatsumoto
Last Packager: tatsumoto
Votes: 2
Popularity: 0.000014
First Submitted: 2021-03-23 23:43 (UTC)
Last Updated: 2024-02-18 04:27 (UTC)

Required by (0)

Sources (1)

Latest Comments

tatsumoto commented on 2023-04-14 13:57 (UTC)

xdg-user-dir: command not found

That's not strictly an error. impd is trying different ways to find your music directory, and this one in particular fails. But I'll include xdg-user-dirs in dependencies if you insist. Most people should have it installed already.

You should not be creating or installing to "impd-git" directories. It should be simply "impd"

Alright, I'll change it to impd.

m040601 commented on 2023-04-13 15:44 (UTC) (edited on 2023-04-13 15:58 (UTC) by m040601)

This PKGBUILD is not working.

$ rm -rf ~/.config/impd

$ impd

/usr/bin/impd: line 819: xdg-user-dir: command not found
Couldn't detect the mpd directory.

$ impd -h

/usr/bin/impd: line 819: xdg-user-dir: command not found
Couldn't detect the mpd directory.

$ impd --help

/usr/bin/impd: line 819: xdg-user-dir: command not found
Couldn't detect the mpd directory.

The github repo contains a Makefile. But that Makefile is specific to the impd project. Not to Archlinux. That Makefile is not to follow blindly on the build process of the PKGBUILD.

make DESTDIR="${pkgdir}" install

You should review the build instructions on the PKGBUILD in package()

pacman -Qi impd-git

Name            : impd-git
Version         : 0.7.r18.ga8ca81d-1
Description     : Manage passive immersion and create condensed audio.
Architecture    : any
URL             : https://github.com/Ajatt-Tools/impd
Licenses        : GPL3
Groups          : None
Provides        : None
Depends On      : bash  gawk  ffmpeg  mpd
Optional Deps   : mpc: interaction with mpd [installed]
                  libnotify: desktop notifications [installed]
                  youtube-dl: adding audio from youtube
                  yt-dlp: adding audio from youtube [installed]
Required By     : None
Optional For    : None
Conflicts With  : None
Replaces        : None
Installed Size  : 56.40 KiB
Packager        : Unknown Packager
Build Date      : Thu 13 Apr 2023 04:39:34 PM WEST
Install Date    : Thu 13 Apr 2023 04:39:46 PM WEST
Install Reason  : Explicitly installed
Install Script  : No
Validated By    : None

$ pacman -Ql impd-git

impd-git /usr/
impd-git /usr/bin/
impd-git /usr/bin/impd
impd-git /usr/share/
impd-git /usr/share/licenses/
impd-git /usr/share/licenses/impd-git/
impd-git /usr/share/licenses/impd-git/LICENSE

You should not be creating or installing to "impd-git" directories. It should be simply "impd" not "impd-git". If there is another PKGBUILD on the AUR called "impd", then you should put a tag in the PKGBUILD for "impd-git",

Conflicts: impd

The github repo also includes a README.

Please make sure it also gets installed into,

/usr/share/doc/impd/README